sparam=cell(0,5);
sparam(end+1,:)={'t',[12:1:24],[0:2:24],[-1:0.2:1],[-1:0.2:1]};
sparam(end+1,:)={'s',[36.3:0.05:36.8],[35.1:0.1:36.8],[-0.1:0.05:0.1],[-0.15:0.05:0.15]};
sparam(end+1,:)={'u',[-0.2:0.02:0.2],[-0.2:0.015:0.2],[-0.14:0.02:0.14],[-0.14:0.02:0.14]};
sparam(end+1,:)={'v',[-0.2:0.02:0.2],[-0.2:0.015:0.2],[-0.14:0.02:0.14],[-0.14:0.02:0.14]};
f=netcdf('exp_T.nc');

suff=cell(0,2);
suff(end+1,:)={'a_c_init','first guess (FG)'};
suff(end+1,:)={'b_forw0_48','forward du FG'};
suff(end+1,:)={'a_c_fin','param control final (AP)'};
suff(end+1,:)={'b_forwfin_48','forward du PA'};
suff(end+1,:)={'a_c_true','parametre vrai (TP)'};
suff(end+1,:)={'b_obs_48','forward du TP'};

delta=cell(0,2);
delta(end+1,:)={[1 5],'FG-true'};
delta(end+1,:)={[2 6],'obs-forwFG'};
delta(end+1,:)={[3 5],'true-rest'};
delta(end+1,:)={[4 6],'obs-forwPA'};

cmapdif=scol_dif_lin(64);


lati=f{'nav_lat'}(:,:);
longi=f{'nav_lon'}(:,:);
zlev=f{'nav_lev'}(:);

lat0=41;

for j=1:size(sparam,1)
  figure(j);clf
  figure(j+size(sparam,1));clf;
  figure(j+2*size(sparam,1));clf;
  figure(j+3*size(sparam,1));clf;
  paramy=cell(length(suff),1);
 
  for k=1:length(suff)
    
   
    param=f{[sparam{j,1} suff{k,1}]}(:,:,:,:);
    param=squeeze(param);
    paramy{k}=mat2yao(param);
    paramy{k}(:,1:3)=fliplr(paramy{k}(:,1:3));
    paramy{k}=sortrows(paramy{k},[1 2 3]);
   
    figure(j);
    subplot(3,2,k)
    plot_nemo_3D(paramy{k},longi,lati,zlev,1,sparam{j,2},1);
    title(suff{k,2})
    if (k==1) 
      colorbar
    end
    figure(j+size(sparam,1));
    subplot(3,2,k)    
    plot_nemo_3D(paramy{k},longi,lati,zlev,lat0,sparam{j,3},2);
    title(suff{k,2})
    if (k==1) 
      colorbar
    end
   
    
    end    
     %%Graphe des différences
    for k=1:size(delta,1)
      
    param=paramy{delta{k,1}(1)};
    param(:,end)=param(:,end)-paramy{delta{k,1}(2)}(:,end);
    
    figure(j+2*size(sparam,1))
    subplot(2,2,k)
    plot_nemo_3D(param,longi,lati,zlev,1,sparam{j,4},1);
    colormap(cmapdif);
    title(delta{k,2});
    if (k==2)
      colorbar
    end
    
      figure(j+3*size(sparam,1))
    subplot(2,2,k)
     plot_nemo_3D(param,longi,lati,zlev,lat0,sparam{j,5},2);
    colormap(cmapdif);
    title(delta{k,2});
    if (k==2)
      colorbar
    end
    fprintf(1,[sparam{j,1} ' ' delta{k,2} '\n']);
    [N,RPD,URPD,MAD,RMS,slope,intercept,r2]=make_stats(paramy{delta{k,1}(1)}(:,end),paramy{delta{k,1}(2)}(:,end))

    
  end
  
  
  figure(j)
  suptitle(['parametre ' sparam{j,1} ' surface'])
  figure(j+size(sparam,1));
  suptitle(['parametre ' sparam{j,1} ' lat=40'])
  figure(j+2*size(sparam,1))
  suptitle(['erreur ' sparam{j,1} ' surface'])
  figure(j+3*size(sparam,1))
  suptitle(['erreur ' sparam{j,1} ' lat=40'])
end
close(f)